This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 290611 - cancelling fade out with mouse movement doesn't restore gamma settings
cancelling fade out with mouse movement doesn't restore gamma settings
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-09-14 06:38 EDT by James
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 13:58:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James 2007-09-14 06:38:15 EDT
Description of problem:
Moving the mouse shortly after fade-out, but before the screensaver itself has
started, results in a black screen that cannot be unlocked. Session must be killed.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.18.2-2.fc7

How reproducible:
Consistently

Steps to Reproduce:
1. Wait for fade-out.
2. Move mouse before screensaver starts, while screen is still black.
  
Actual results:
Session locks, no unlock dialog.

Expected results:
Unlock dialog, return to the session.
Comment 1 Ray Strode [halfline] 2007-09-14 09:29:54 EDT
if you type

alt-f2

xgamma -gamma 1.0

("in the dark" so to speak)

does it come back to life?

Adding to F8Target
Comment 2 James 2007-09-14 10:42:11 EDT
It do (with DISPLAY and XAUTHORITY environment variables set).
Comment 3 James 2007-09-14 10:45:08 EDT
[Should probably clarify above that I went through a text-mode console.]
Comment 4 Matthias Clasen 2007-10-09 13:57:29 EDT
Can you try again with current gnome-screensaver packages ? Ray added a patch
that should fix this problem.
Comment 5 Matthias Clasen 2007-10-09 13:58:24 EDT
Oh, sorry, I just see that this bug is against F7. 
The fix will be available in F8.

Note You need to log in before you can comment on or make changes to this bug.